libdevice User's Guide (PDF) - v6.0 (older) - Last updated February 13, 2014 - Send Feedback -

## 3.188. __nv_isfinited

Prototype:

    i32 @__nv_isfinited(double %x)

Description:

Determine whether the floating-point value `x` is a finite value (zero, subnormal, or normal and not infinity or NaN).

Returns:

Returns a nonzero value if and only if `x` is a finite value.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes